const system=require("../../system");
const Dao=require("../dao.base");
class ExpenseVoucherDao extends Dao{
  constructor(){
    super(Dao.getModelName(ExpenseVoucherDao));
  }
  extraModelFilter(){
    //return {"key":"include","value":[{model:this.db.models.app,},{model:this.db.models.role,as:"Roles",attributes:["id","name"],joinTableAttributes:['created_at']}]};
    return {"key":"include","value":[{model:this.db.models.moneyaccount,as:"moneyaccount",attributes:["name"]}]};
  }
}
module.exports=ExpenseVoucherDao;
